Skip to content

Search for articles

Request

You can search for articles by making a GET request to https://api.intercom.io/articles/search.

If no articles match the search, data is an empty array rather than an object.

Requires the read_articles_scope OAuth scope.

Security
bearerAuth
Query
phrasestring, <= 500 characters

The phrase within your articles to search for. Maximum length is 500 characters.

Example:phrase=Getting started
statestring

The state of the Articles returned. One of published, draft or all. Defaults to published.

Default:"published"
Enum:"published""draft""all"
Example:state=published
help_center_idinteger

The ID of the Help Center to search in.

Example:help_center_id=123
highlightboolean

Return a highlighted version of the matching content within your articles. Refer to the response schema for more details.

Example:highlight=false
pageinteger

The page of results to fetch. Defaults to the first page.

Example:page=1
per_pageinteger

The number of results to return per page. Defaults to 10.

Example:per_page=10
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/articles/search?phrase=Getting%20started&state=published&help_center_id=123&highlight=false&page=1&per_page=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Search successful

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"
total_countinteger

The total number of Articles matching the search query

Example:5
dataobject

An object containing the results of the search. When no articles match, this is an empty array instead.

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "list", "total_count": 1, "data": { "articles": [ … ], "highlights": [] }, "pages": { "type": "pages", "page": 1, "total_pages": 1, "per_page": 10 } }